Qt API | Qtopia API | Qtopia Documentation |

# AddressBookIterator Class Reference
[qpepim module]

The AddressBookIterator class provides iterators of AddressBookAccess. More...

`#include <qtopia/pim/addressbookaccess.h>`

List of all member functions.

## Public Members

- AddressBookIterator ( const AddressBookAccess & aba )
- AddressBookIterator ( const AddressBookIterator & it )
- AddressBookIterator & operator= ( const AddressBookIterator & other )
- ~AddressBookIterator ()
- bool atFirst () const
- bool atLast () const
- const PimContact * toFirst ()
- const PimContact * toLast ()
- const PimContact * operator++ ()
- const PimContact * operator* () const
- const PimContact * current () const

## Detailed Description

The AddressBookIterator class provides iterators of AddressBookAccess.

The only way to traverse the data of an AddressBookAccess is with an AddressBookIterator.

See also QPEPIM Library.

## Member Function Documentation

### AddressBookIterator::AddressBookIterator ( const AddressBookAccess & aba )

Constructs a new AddressBookIterator pointing to the start of the data in aba.

### AddressBookIterator::AddressBookIterator ( const AddressBookIterator & it )

Constructs a copy of the iterator it.

### AddressBookIterator::~AddressBookIterator ()

Destroys the iterator.

### bool AddressBookIterator::atFirst () const

Returns TRUE if the iterator is at the first item of the data. Otherwise returns FALSE.

### bool AddressBookIterator::atLast () const

Returns TRUE if the iterator is at the last item of the data. Otherwise returns FALSE.

### const PimContact * AddressBookIterator::current () const

If the iterator is at a valid PimContact returns a const pointer to the current PimContact. Otherwise returns 0.

### const PimContact * AddressBookIterator::operator* () const

If the iterator is at a valid PimContact returns a const pointer to the current PimContact. Otherwise returns 0.

### const PimContact * AddressBookIterator::operator++ ()

Sets the iterator to the next item of the data. If the iterator is moved pass the end of the list returns 0. Otherwise returns a const pointer to the current PimContact.

### AddressBookIterator & AddressBookIterator::operator= ( const AddressBookIterator & other )

Sets the iterator to be a copy of other.

### const PimContact * AddressBookIterator::toFirst ()

Sets the iterator to the first item of the data. If a PimContact exists in the data will return a const pointer to the PimContact. Otherwise returns 0.

### const PimContact * AddressBookIterator::toLast ()

Sets the iterator to the last item of the data. If a PimContact exists in the data will return a const pointer to the PimContact. Otherwise returns 0.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.